package com.sinosig.core.module.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.sinosig.core.module.domain.TBYDK;
import com.sinosig.core.module.filter.TBYDKSearchContext;

/**
 * 实体[TBYDK] 服务对象接口
 */

public interface ITBYDKService{
     boolean create(TBYDK tbydk) ;
     TBYDK get(String tbydkid) ;
     TBYDK get(TBYDK tbydk) ;
     boolean update(TBYDK tbydk) ;
     boolean checkKey(TBYDK tbydk) ;
     boolean save(TBYDK tbydk) ;
     TBYDK getDraft(TBYDK tbydk) ;
     boolean remove(String tbydkid) ;

    /**
     * 查询集合 DEFAULT
     */
     Page<TBYDK> searchDefault(TBYDKSearchContext context) ;

    /**
     * 查询集合 JQX
     */
     Page<TBYDK> searchJQX(TBYDKSearchContext context) ;

    /**
     * 查询集合 SYX
     */
     Page<TBYDK> searchSYX(TBYDKSearchContext context) ;

}
